--- a/include/pci_ids/iris_pci_ids.h
+++ b/include/pci_ids/iris_pci_ids.h
@@ -261,3 +261,8 @@ CHIPSET(0x7d45, mtl_h, "MTL", "Intel(R)
 CHIPSET(0x7d55, mtl_h, "MTL", "Intel(R) Arc(tm) Graphics")
 CHIPSET(0x7d60, mtl_u, "MTL", "Intel(R) Graphics")
 CHIPSET(0x7dd5, mtl_h, "MTL", "Intel(R) Graphics")
+
+CHIPSET(0x7d41, arl_u, "ARL", "Intel(R) Graphics")
+CHIPSET(0x7d51, arl_h, "ARL", "Intel(R) Graphics")
+CHIPSET(0x7d67, arl_u, "ARL", "Intel(R) Graphics")
+CHIPSET(0x7dd1, arl_h, "ARL", "Intel(R) Graphics")
--- a/src/gallium/drivers/iris/iris_resource.c
+++ b/src/gallium/drivers/iris/iris_resource.c
@@ -124,7 +124,7 @@ modifier_is_supported(const struct intel
    case I915_FORMAT_MOD_4_TILED_MTL_RC_CCS:
    case I915_FORMAT_MOD_4_TILED_MTL_MC_CCS:
    case I915_FORMAT_MOD_4_TILED_MTL_RC_CCS_CC:
-      if (!intel_device_info_is_mtl(devinfo))
+      if (!intel_device_info_is_mtl_or_arl(devinfo))
          return false;
       break;
    case DRM_FORMAT_MOD_INVALID:
--- a/src/intel/common/intel_l3_config.c
+++ b/src/intel/common/intel_l3_config.c
@@ -190,7 +190,7 @@ get_l3_list(const struct intel_device_in
 
    case 12:
       if (intel_device_info_is_dg2(devinfo) ||
-          intel_device_info_is_mtl(devinfo)) {
+          intel_device_info_is_mtl_or_arl(devinfo)) {
          /* XXX - Some MTL configs may need special-casing here, but
           *       we have no way to identify them right now.
           */
--- a/src/intel/compiler/brw_compiler.c
+++ b/src/intel/compiler/brw_compiler.c
@@ -123,6 +123,8 @@ brw_compiler_create(void *mem_ctx, const
 
    compiler->lower_dpas = devinfo->verx10 < 125 ||
       intel_device_info_is_mtl(devinfo) ||
+      (intel_device_info_is_arl(devinfo) &&
+       devinfo->platform != INTEL_PLATFORM_ARL_H) ||
       debug_get_bool_option("INTEL_LOWER_DPAS", false);
 
    /* There is no vec4 mode on Gfx10+, and we don't use it at all on Gfx8+. */
--- a/src/intel/dev/gen_wa_helpers.py
+++ b/src/intel/dev/gen_wa_helpers.py
@@ -205,6 +205,8 @@ _PLATFORM_GFXVERS = {"INTEL_PLATFORM_BDW
                      "INTEL_PLATFORM_DG2_G12" : 125,
                      "INTEL_PLATFORM_MTL_U" : 125,
                      "INTEL_PLATFORM_MTL_H" : 125,
+                     "INTEL_PLATFORM_ARL_U" : 125,
+                     "INTEL_PLATFORM_ARL_H" : 125,
                      }
 
 def macro_versions(wa_def):
--- a/src/intel/dev/i915/intel_device_info.c
+++ b/src/intel/dev/i915/intel_device_info.c
@@ -604,7 +604,7 @@ bool intel_device_info_i915_get_info_fro
    devinfo->has_tiling_uapi = has_get_tiling(fd);
    devinfo->has_caching_uapi =
       devinfo->platform < INTEL_PLATFORM_DG2_START && !devinfo->has_local_mem;
-   if (devinfo->ver > 12 || intel_device_info_is_mtl(devinfo))
+   if (devinfo->ver > 12 || intel_device_info_is_mtl_or_arl(devinfo))
       devinfo->has_set_pat_uapi = true;
 
    if (getparam(fd, I915_PARAM_MMAP_GTT_VERSION, &val))
--- a/src/intel/dev/intel_device_info.c
+++ b/src/intel/dev/intel_device_info.c
@@ -72,6 +72,7 @@ static const struct {
    { "rpl", 0xa780 },
    { "dg2", 0x5690 },
    { "mtl", 0x7d60 },
+   { "arl", 0x7d67 },
 };
 
 /**
@@ -1197,6 +1198,16 @@ static const struct intel_device_info in
    .platform = INTEL_PLATFORM_MTL_H,
 };
 
+static const struct intel_device_info intel_device_info_arl_u = {
+   MTL_FEATURES,
+   .platform = INTEL_PLATFORM_ARL_U,
+};
+
+static const struct intel_device_info intel_device_info_arl_h = {
+   MTL_FEATURES,
+   .platform = INTEL_PLATFORM_ARL_H,
+};
+
 void
 intel_device_info_topology_reset_masks(struct intel_device_info *devinfo)
 {
@@ -1590,7 +1601,7 @@ intel_device_info_calc_engine_prefetch(c
       }
    }
 
-   if (intel_device_info_is_mtl(devinfo)) {
+   if (intel_device_info_is_mtl_or_arl(devinfo)) {
       switch (engine_class) {
       case INTEL_ENGINE_CLASS_RENDER:
          return 2048;
--- a/src/intel/dev/intel_device_info.h
+++ b/src/intel/dev/intel_device_info.h
@@ -81,6 +81,8 @@ enum intel_platform {
    INTEL_PLATFORM_GROUP_END(ATSM, INTEL_PLATFORM_ATSM_G11),
    INTEL_PLATFORM_GROUP_START(MTL, INTEL_PLATFORM_MTL_U),
    INTEL_PLATFORM_GROUP_END(MTL, INTEL_PLATFORM_MTL_H),
+   INTEL_PLATFORM_GROUP_START(ARL, INTEL_PLATFORM_ARL_U),
+   INTEL_PLATFORM_GROUP_END(ARL, INTEL_PLATFORM_ARL_H),
    INTEL_PLATFORM_LNL,
 };
 
@@ -104,6 +106,12 @@ enum intel_platform {
 #define intel_device_info_is_adln(devinfo) \
    (devinfo->is_adl_n == true)
 
+#define intel_device_info_is_arl(devinfo) \
+   intel_platform_in_range((devinfo)->platform, ARL)
+
+#define intel_device_info_is_mtl_or_arl(devinfo) \
+   (intel_device_info_is_mtl(devinfo) || intel_device_info_is_arl(devinfo))
+
 struct intel_memory_class_instance {
    /* Kernel backend specific class value, no translation needed yet */
    uint16_t klass;
--- a/src/intel/dev/mesa_defs.json
+++ b/src/intel/dev/mesa_defs.json
@@ -696,6 +696,18 @@
   },
   "1509820217": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015981040
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015960633
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015946265
@@ -849,6 +861,12 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14020200941
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           1409463126,
@@ -1608,6 +1626,18 @@
   },
   "14012437816": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14014488340
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014479981
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14014435656
@@ -1755,6 +1785,19 @@
   },
   "14014063774": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14014081338,
+          14016698213
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014076924
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14014063774
@@ -1799,6 +1842,12 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014152458
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           22014049541,
@@ -1865,6 +1914,19 @@
   },
   "14014176256": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14014211894,
+          14016698214
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014194805
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14014176256
@@ -1901,6 +1963,12 @@
   },
   "14014414195": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014431879
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14014414195
@@ -1923,6 +1991,18 @@
   },
   "14014595444": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015168016
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014919532
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14014595444
@@ -1987,6 +2067,18 @@
   },
   "14014851047": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          22013683737
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014898572
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14014851047,
@@ -2010,6 +2102,18 @@
   },
   "14015055625": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015322178
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015314187
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015055625,
@@ -2041,6 +2145,18 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14018019666
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14018010541
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           14017998947,
@@ -2106,6 +2222,18 @@
   },
   "14015420481": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          22014125355
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          22014104874
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           22014086893
@@ -2130,6 +2258,18 @@
   },
   "14015782607": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015816823
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015812559
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015782607,
@@ -2153,6 +2293,18 @@
   },
   "14015868140": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015876495
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015868602
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015868140
@@ -2181,6 +2333,12 @@
   },
   "14015907227": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14016698282
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14016306195
@@ -2265,6 +2423,19 @@
   },
   "14016407139": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017068294,
+          14017072361
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017065012
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14016407139,
@@ -2301,6 +2472,19 @@
   },
   "14016712196": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14016769435,
+          14016794333
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14016755109
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14016712196
@@ -2334,6 +2518,51 @@
       }
     }
   },
+  "14016829365": {
+    "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14016829365,
+          14016837807
+        ],
+        "steppings": "all"
+      }
+    }
+  },
+  "14017240301": {
+    "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017353530
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017240301,
+          14017330959
+        ],
+        "steppings": "a0..b0"
+      }
+    }
+  },
+  "14017245111": {
+    "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017245111,
+          14017341140
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017348303
+        ],
+        "steppings": "a0..b0"
+      }
+    }
+  },
   "14017468336": {
     "mesa_platforms": {
       "INTEL_PLATFORM_ADL": {
@@ -2344,6 +2573,20 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017468336,
+          14017517122,
+          14017529387
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017521231
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           14017531900,
@@ -2463,6 +2706,19 @@
   },
   "14018912822": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14018952572,
+          14018953707
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14018919798
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14018912822
@@ -2505,6 +2761,13 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14019095039,
+          14019103012
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           14019074860,
@@ -2544,6 +2807,19 @@
   },
   "14019124575": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14019124575,
+          14019142146
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14019148270
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_MTL_H": {
         "ids": [
           14019124575,
@@ -2572,6 +2848,18 @@
   },
   "15011116421": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14016829388
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14016821875
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14016820455,
@@ -2843,6 +3131,18 @@
   },
   "16012775297": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015522645
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015514779
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015489794
@@ -2877,6 +3177,12 @@
   },
   "16013063087": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          16013099041
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           16013063087
@@ -2909,6 +3215,18 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14016880026
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14016872205
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           14016929415,
@@ -2961,6 +3279,18 @@
   },
   "16014390852": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015846240
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015821291
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015814527
@@ -2985,6 +3315,18 @@
   },
   "16014538804": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015231253
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015219714
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           16014538804
@@ -3077,6 +3419,18 @@
   },
   "16018063123": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017544764
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017509079
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G11": {
         "ids": [
           14017486547
@@ -3131,6 +3485,18 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14013842739
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14013840342
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           14013838441,
@@ -3186,6 +3552,19 @@
   },
   "18013179988": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015846243,
+          14016698253
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015841588
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           18013179988
@@ -3257,6 +3636,18 @@
   },
   "18015444900": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14013913470
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14013911449
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           22012729598
@@ -3282,6 +3673,18 @@
   },
   "18019110168": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015592699
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015591654
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015590813,
@@ -3305,6 +3708,18 @@
   },
   "18019816803": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14015853533
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14015846284
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14015842950,
@@ -3328,6 +3743,18 @@
   },
   "18020335297": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14016768589
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14016763783
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14016755692,
@@ -3394,6 +3821,19 @@
   },
   "18022330953": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          18022330953,
+          22015761040
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017483381
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14017514984
@@ -3457,6 +3897,19 @@
         ],
         "steppings": "all"
       },
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017094742,
+          14017106302
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017085266
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG1": {
         "ids": [
           14017142770,
@@ -3536,6 +3989,20 @@
   },
   "18023881693": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017889159,
+          14017910858
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017879046,
+          18023881693
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14017890321
@@ -3573,6 +4040,20 @@
   },
   "18029842545": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14019540492,
+          14019549720,
+          18029842545
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14019549780
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14019756188
@@ -3727,6 +4208,18 @@
   },
   "22013689345": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14014909922
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14014906135
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           22013689345
@@ -3773,6 +4266,18 @@
   },
   "22014412737": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14016120505
+        ],
+        "steppings": "a0..b0"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14016119375
+        ],
+        "steppings": "a0..b0"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14016118574,
@@ -3796,6 +4301,19 @@
   },
   "22015614752": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14017691423,
+          14017693394
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14017688793
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           22015614752
@@ -3830,6 +4348,20 @@
   },
   "22018402687": {
     "mesa_platforms": {
+      "INTEL_PLATFORM_ARL_H": {
+        "ids": [
+          14019750404,
+          14019755638,
+          22018402687
+        ],
+        "steppings": "all"
+      },
+      "INTEL_PLATFORM_ARL_U": {
+        "ids": [
+          14019755844
+        ],
+        "steppings": "all"
+      },
       "INTEL_PLATFORM_DG2_G10": {
         "ids": [
           14019776546
--- a/src/intel/isl/isl.c
+++ b/src/intel/isl/isl.c
@@ -123,7 +123,7 @@ isl_device_setup_mocs(struct isl_device
       dev->mocs.blitter_dst = 1 << 1;
       dev->mocs.blitter_src = 1 << 1;
    } else if (dev->info->ver >= 12) {
-      if (intel_device_info_is_mtl(dev->info)) {
+      if (intel_device_info_is_mtl_or_arl(dev->info)) {
          /* Cached L3+L4; BSpec: 45101 */
          dev->mocs.internal = 1 << 1;
          /* Displayables cached to L3+L4:WT */
@@ -276,7 +276,7 @@ isl_mocs(const struct isl_device *dev, i
    if (external)
       return dev->mocs.external | mask;
 
-   if (intel_device_info_is_mtl(dev->info) &&
+   if (intel_device_info_is_mtl_or_arl(dev->info) &&
        (usage & ISL_SURF_USAGE_STREAM_OUT_BIT))
       return dev->mocs.uncached | mask;
 
--- a/src/intel/isl/isl_drm.c
+++ b/src/intel/isl/isl_drm.c
@@ -262,7 +262,7 @@ isl_drm_modifier_get_score(const struct
 
       return 5;
    case I915_FORMAT_MOD_4_TILED_MTL_RC_CCS:
-      if (!intel_device_info_is_mtl(devinfo))
+      if (!intel_device_info_is_mtl_or_arl(devinfo))
          return 0;
 
       if (INTEL_DEBUG(DEBUG_NO_CCS))
@@ -270,7 +270,7 @@ isl_drm_modifier_get_score(const struct
 
       return 4;
    case I915_FORMAT_MOD_4_TILED_MTL_RC_CCS_CC:
-      if (!intel_device_info_is_mtl(devinfo))
+      if (!intel_device_info_is_mtl_or_arl(devinfo))
          return 0;
 
       if (INTEL_DEBUG(DEBUG_NO_CCS) || INTEL_DEBUG(DEBUG_NO_FAST_CLEAR))
--- a/src/intel/vulkan/genX_query.c
+++ b/src/intel/vulkan/genX_query.c
@@ -781,7 +781,7 @@ void genX(CmdResetQueryPool)(
    /* Temporarily disable on MTL until we understand why some tests hang.
     */
    if (queryCount >= pdevice->instance->query_clear_with_blorp_threshold &&
-       !intel_device_info_is_mtl(cmd_buffer->device->info)) {
+       !intel_device_info_is_mtl_or_arl(cmd_buffer->device->info)) {
       trace_intel_begin_query_clear_blorp(&cmd_buffer->trace);
 
       anv_cmd_buffer_fill_area(cmd_buffer,
@@ -1838,7 +1838,7 @@ void genX(CmdCopyQueryPoolResults)(
    struct anv_physical_device *pdevice = device->physical;
 
    if (queryCount > pdevice->instance->query_copy_with_shader_threshold &&
-       !intel_device_info_is_mtl(device->info)) {
+       !intel_device_info_is_mtl_or_arl(device->info)) {
       copy_query_results_with_shader(cmd_buffer, pool,
                                      anv_address_add(buffer->address,
                                                      destOffset),
